import { SxProps } from "@mui/material";
import { Context, PropsWithChildren, ReactElement } from "react";
export interface NerdFileUploadWrapperProps {
    wrapperSx?: SxProps;
    dropZoneSx?: SxProps;
    dropZoneIcon?: ReactElement;
}
type NerdFileUploadCallbacksType = Map<string, {
    callback: (e: React.DragEvent<HTMLDivElement>) => void;
    label?: string;
}>;
interface NerdFileUploadContextType {
    nerdFileUploadCallbacks: NerdFileUploadCallbacksType;
    subscribe: (id: string, callback: (e: React.DragEvent<HTMLDivElement>) => void, label?: string) => void;
    unsubscribe: (id: string) => void;
}
declare const NerdFileUploadContext: Context<NerdFileUploadContextType>;
export { NerdFileUploadContext };
/**
 *
 * @param {PropsWithChildren<NerdFileUploadWrapperProps>} props NerdFileUploadWrapper props
 * @returns {ReactElement} NerdFileUploadWrapper
 */
export default function NerdFileUploadWrapper(props: PropsWithChildren<NerdFileUploadWrapperProps>): ReactElement;
