import { jsx as _jsx } from "react/jsx-runtime";
import CodeMirror from "@uiw/react-codemirror";
import { unifiedMergeView } from "@codemirror/merge";
import { useColorScheme } from "@mui/joy";
export function MergeEditor(props) {
    const { mode } = useColorScheme();
    return (_jsx(CodeMirror, { id: "editor", value: props.newContent, height: "80%", basicSetup: {
            lineNumbers: false,
            foldGutter: false,
            highlightActiveLine: false,
            syntaxHighlighting: false,
            autocompletion: false,
            highlightSelectionMatches: false,
        }, theme: mode === "dark" ? "dark" : "light", extensions: [
            unifiedMergeView({
                original: props.oldContent,
                highlightChanges: true,
                gutter: true,
            }),
        ] }));
}
