import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { useState, useEffect } from "react";
import { NonIntrusive } from "./components/nonIntrusive";
import { Intrusive } from "./components/intrusive";
import { clearNotification, nerdNotifierNotificationSelector } from "../redux";
import { useSelector } from "react-redux";
import { useDispatch } from "react-redux";
const NerdNotifier = (props) => {
    const dispatch = useDispatch();
    const { onClose, children } = props;
    const notification = useSelector(nerdNotifierNotificationSelector);
    const [open, setOpen] = useState(false);
    useEffect(() => {
        if (notification) {
            setOpen(true);
        }
    }, [notification]);
    const handleClose = () => {
        dispatch(clearNotification());
        setOpen(false);
        onClose?.();
    };
    return (_jsxs(_Fragment, { children: [children, open ? (notification?.variant === "non-intrusive" ||
                notification?.variant === undefined ? (_jsx(NonIntrusive, { open: open, handleClose: handleClose, hideReportButton: props.hideReportButton })) : (_jsx(Intrusive, { open: open, handleClose: handleClose }))) : null] }));
};
export default NerdNotifier;
